Voicemail, FDN and Call Forwarding is not available if user open call settings via dialer.

RESOLVED WONTFIX

Status

defect
P1
normal
RESOLVED WONTFIX
3 years ago
a year ago

People

(Reporter: xiongfuchao, Unassigned)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(blocking-b2g:2.6+, b2g-v2.2 unaffected, b2g-v2.5 affected, b2g-master affected)

Details

Attachments

(2 attachments)

Posted file logcat_1625.txt
[1.Description]:
[Flamekk2.5&master][Arieskk2.5&master]When user opens call settings via prompt "voicemail number is unavailable", they will find Voicemail, FDN and Call Forwarding are not available, even it works on Settings.
Found time:16:25
See Attachment:AriesKK_master.3gp & logcat_1625.txt

[2.Testing Steps]: 
Prerequisite:Have a SIM card in device.
1. Open dialer.
2. long press "1" key.
3. Tap settings button.
4. Tap Voicemail, FDN and Call Forwarding item.

[3.Expected Result]: 
4. Voicemail, FDN and Call Forwarding are available.

[4.Actual Result]: 
4. Voicemail,FDN and Call Forwarding are not available.

[5.Reproduction build]: 
Device: Flame KK v2.2 build 512mb( Unaffected )
Build ID               20151228032554
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/5e0425230b93
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151228.065250
Firmware Date          Mon Dec 28 06:53:01 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0


Device: Flame KK v2.5 build 512mb(Affected)
Build ID               20151223152613
Gaia Revision          8db2cdd9eb9b42932c4dfc86d109b3e46c220809
Gaia Date              2015-12-23 13:30:29
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/6fac3536a96a87185a6415d6ae2c36a85612e863
Gecko Version          44.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151223.143931
Firmware Date          Wed Dec 23 14:39:41 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK master build 512mb(Affected)
Build ID               20151228150204
Gaia Revision          15a00047c0868cc8f4c8ec4af253b82ac54d70dd
Gaia Date              2015-12-26 05:30:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7c83da46ea740bc14028aca9f9a662f062de5586
Gecko Version          46.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151228.185050
Firmware Date          Mon Dec 28 18:51:03 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK v2.5(Affected)
Build ID               20151223153111
Gaia Revision          8db2cdd9eb9b42932c4dfc86d109b3e46c220809
Gaia Date              2015-12-23 13:30:29
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/6fac3536a96a87185a6415d6ae2c36a85612e863
Gecko Version          44.0
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151223.144147
Firmware Date          Wed Dec 23 14:41:54 UTC 2015
Bootloader             s1

Device: Aries KK master(Affected)
Build ID               20151228092606
Gaia Revision          15a00047c0868cc8f4c8ec4af253b82ac54d70dd
Gaia Date              2015-12-26 05:30:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7c83da46ea740bc14028aca9f9a662f062de5586
Gecko Version          46.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151228.095413
Firmware Date          Mon Dec 28 09:54:21 UTC 2015
Bootloader             s1

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
QA Contact: xiongfuchao
I Can't find more  b2g-inbound build on PVT server that from 20151027005022 to 20151027232337,so I try to find this regressionwindow in Nightly.Hope this information helps. 

Nightly Regression Window:
Last Working Environmental Variables:
Build ID               20151026030217
Gaia Revision          a677ddd3aa3a81058775938bd56008d96dbc78b0
Gaia Date              2015-10-26 04:48:31
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5ca03a00d26823ce91ee0eaa2937bed605bd53c1
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151026.070911
Firmware Date          Mon Oct 26 07:09:23 EDT 2015
Firmware Version        V18D V4
Bootloader             L1TC000118D0

First Broken Environmental Variables:
Build ID               20151027150240
Gaia Revision          a26eadc5e1133d5112b6cbc10badbb7670a1090f
Gaia Date              2015-10-27 17:36:52
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2b333a1d94e805a59c619ee41a6dec7fdcce505d
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151027.184038
Firmware Date          Tue Oct 27 18:40:49 EDT 2015
Firmware Version        V18D V4
Bootloader             L1TC000118D0

Gaia pushlog:
https://github.com/mozilla-b2g/gaia/compare/a677ddd3aa3a81058775938bd56008d96dbc78b0...a26eadc5e1133d5112b6cbc10badbb7670a1090f
QA Whiteboard: [MGSEI-Triage+]
QA Contact: xiongfuchao
[Blocking Requested - why for this release]: Regression breaking functionality
blocking-b2g: --- → 2.5?
Moved to 2.6.
blocking-b2g: 2.5? → 2.6+
Priority: -- → P1
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][severe]

Comment 5

a year ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.